/* GENERAL STYLES */

:root, .light {
  --accent: rgb(97, 200, 97);
  --accent-text: #4da84d;
  --rust: #af2900;
  --indifferent: #3d506d;
  --shadow-3: rgba(0, 0, 0, 0.3);
  --shadow-2: rgba(0, 0, 0, 0.2);
  --light-grey: #fafafa;
  --white: #fff;
  --dark-grey: #222;
  --nav: #222;
  --body: #eee;
  --transparent: rgba(238, 238, 238, 0);
  --text: #424242;
  --gauze: rgba(255, 255, 255, 0.7);
  --cb-red: #880000;
  --permanent-black: #333;
  --permanent-white: #fafafa;
  --green-notify-background: #b5fdb5;
  --red-notify-background: #fdb5b5;
  --blue-notify-background: #d0d0ff;
  --gold: #ff9b00;
  --blue:#003395;
  --light-blue: #0064ff;
  --reproducible-badge: url(/images/reproducible-badge-dark.svg);
}

.light {
  --hide-light: none;
  --hide-dark: unset;
}

.dark {
  --accent: rgb(97, 200, 97);
  --accent-text: #4da84d;
  --rust: #b32a00;
  --indifferent: #5b82bf;
  --shadow-3: rgba(255, 255, 255, 0.2);
  --shadow-2: rgba(255, 255, 255, 0.1);
  --light-grey: #222;
  --nav: #000;
  --white: #222;
  --dark-grey: #fafafa;
  --body: #111;
  --transparent: rgba(17, 17, 17, 0);
  --text: #eee;
  --hide-dark: none;
  --hide-light: unset;
  --gauze: rgba(0, 0, 0, 0.7);
  --cb-red: #df7d00;
  --permanent-black: #000;
  --permanent-white: #e2e2e2;
  --green-notify-background: #00b900;
  --red-notify-background: #b90000;
  --blue-notify-background: #101040;
  --gold: #ffb300;
  --blue:#a0b6f9;
  --reproducible-badge: url(/images/reproducible-badge-light.svg);
}

body, input {
  color: var(--text)
}

::selection {
  color: var(--permanent-black);
  background-color: var(--accent-text);
}

.theme-parent>i>label {
  font-family: "Lato", -apple-system, ".SFNSText-Regular", "San Francisco", "Roboto", "Segoe UI", "Helvetica Neue", "Lucida Grande", Arial, sans-serif;
  display: inline;
  color: #7a8288;
  font-weight: 600;
}

.lazy {
  display: var(--lazy) !important;
}

/* MISSING FONT */

@font-face {
  font-family: 'ws-custom';
  src: url('/assets/fonts/ws-custom/ws-custom.eot?o4t00w');
  src: url('/assets/fonts/ws-custom/ws-custom.eot?o4t00w#iefix') format('embedded-opentype'), url('/assets/fonts/ws-custom/ws-custom.ttf?o4t00w') format('truetype'), url('/assets/fonts/ws-custom/ws-custom.woff?o4t00w') format('woff'), url('/assets/fonts/ws-custom/ws-custom.svg?o4t00w#ws-custom') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

.fac {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'Font Awesome 5 Free', 'ws-custom' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.fa-f-droid:before {
  content: "\e900";
  /* color: #1976d2; */
}

/* MISSING FONT */

.woot-widget-bubble.woot-elements--right.woot-widget--expanded, .woot-elements--right.woot-widget-bubble.woot--close {
  background: var(--accent-text) !important;
}

.page__date {
  margin-top: .25rem;
  opacity: .5;
  font-size: 0.85rem;
  margin-bottom: 0;
}

#newTitle {
  color: var(--accent-text);
  box-shadow: inset 0px 0px 0px 1px var(--accent-text);
  padding: .15rem .5rem;
  border-radius: 4px;
  position: relative;
  transition: .1s ease;
}

#newTitle::after {
  display: block;
  content: "";
  height: 4px;
  width: 105%;
  position: absolute;
  background: var(--nav);
  bottom: -9px;
  left: -2.5%;
  z-index: 2;
}

#newTitle:hover, #newTitle:active {
  color: var(--white);
  box-shadow: inset 0px 0px 0px 1px var(--accent-text);
  background: var(--accent-text);
}

a.theme-parent>i.fa-sun, .-dark {
  display: var(--hide-light);
}

a.theme-parent>i.fa-moon, .-light {
  display: var(--hide-dark);
}

a {
  color: var(--accent-text);
}

#versions a b {
  text-transform: capitalize;
  font-weight: 800;
}

a.sl {
  text-decoration: none;
}

body.modal-open {
  overflow: hidden;
}

body.modal-open #main {
  filter: blur(5px);
}

@media (max-width:756px) {
  #newTitle::after {
    display: none;
  }
  #main {
    width: 100vw !important;
  }
  #main.app-review {
    margin-top: 0;
  }
  .walletSearch {
    width: 100% !important;
    border-radius: 10px;
  }
}

/* END GENEERAL STYLES */

/* BACKEND WIDGET STYLE */

.code-block-holder {
  background: var(--light-grey);
  padding: 0px 1rem 1rem 1rem;
  margin: 1rem 0;
  border-radius: .5rem;
}

.copy_to_clipboard {
  font-size: .75rem;
  padding: 6px 1rem;
  border-radius: 4px;
  border: 0;
  background: var(--gauze);
  box-shadow: 0px 2px 5px 0px var(--shadow-3);
  transition: .2s ease;
  color: var(--text);
}

.copy_to_clipboard:hover, .copy_to_clipboard:active {
  box-shadow: 0px 4px 6px 0px var(--shadow-3);
}

pre.highlight code {
  font-size: 14px;
  line-height: 1rem;
}

.cb {
  display: block;
  overflow-x: auto;
  padding: 0.5em;
}

.cb, .cb-subst {
  color: #444;
}

.cb-comment {
  color: #888888;
}

.cb-attribute, .cb-doctag, .cb-keyword, .cb-meta-keyword, .cb-name, .cb-selector-tag {
  font-weight: bold;
}

.cb-deletion, .cb-number, .cb-quote, .cb-selector-class, .cb-selector-id, .cb-string, .cb-template-tag, .cb-type {
  color: var(--cb-red);
}

.cb-section, .cb-title {
  color: var(--cb-red);
  font-weight: bold;
}

.cb-link, .cb-regexp, .cb-selector-attr, .cb-selector-pseudo, .cb-symbol, .cb-template-variable, .cb-variable {
  color: #bc6060;
}

.cb-literal {
  color: #78a960;
}

.cb-addition, .cb-built_in, .cb-bullet, .cb-code {
  color: #397300;
}

.cb-meta {
  color: #1f7199;
}

.cb-meta-string {
  color: #4d99bf;
}

.cb-emphasis {
  font-style: italic;
}

.cb-strong {
  font-weight: bold;
}

/* END BACKEND WIDGET STYLE */

/* PRESS */

.press-button-holder>.check {
  display: none;
  transition: .4s ease;
  opacity: 0;
  transform-origin: center;
  transform: scale(0);
}

.press-button-holder.activated>.check {
  display: inline-block;
  opacity: 1;
  transform: scale(1);
  color: var(--accent, var(--accent));
}

.press-button-holder {
  border-radius: 5px;
  padding: 4px 8px;
  align-items: baseline;
  flex-direction: row;
  flex-wrap: wrap;
  -webkit-column-gap: 4px;
  -moz-column-gap: 4px;
  column-gap: 4px;
  -webkit-row-gap: 4px;
  -moz-row-gap: 4px;
  row-gap: 4px;
  margin-right: 0.5rem;
  margin-bottom: .5rem;
  background: var(--white);
}

.press-button-holder input {
  background: transparent;
}

.press-button-holder:not(.activated) {
  opacity: .8;
}

.press-button-holder.activated {
  opacity: 1;
}

.press-button-holder input.activated {
  color: var(--accent-text);
}

.press-button-holder>input {
  border: 0;
  box-shadow: unset;
  margin: 0;
}

.press {
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0px 6px 10px -6px var(--shadow-3);
  background-color: var(--dark-grey);
  margin: .75rem;
}

.press img {
  height: 8em;
  width: 8em;
}

.press:hover, .press:hover>img {
  box-shadow: 0px 7px 15px -3px var(--permanent-black, rgba(0, 0, 0, 0.3)), 0px -5px 15px -10px var(--permanent-white);
}

.press-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 1rem;
}

/* END PRESS */

/* HERO */


.-pl .badge {
  overflow: hidden;
  height: 10px;
  width: 10px;
  padding: 0 !important;
  position: absolute;
  box-shadow: inset 0 0 0 10px !important;
  z-index: 2;
  transform: translate(calc(-2rem - 16px), 6px);
}

.results-list.quick-link .-pl>a>span {
  font-size: 11px;
  text-align: left;
  text-align: left;
  width: 150px;
  max-width: 30vw;
  max-height: 4rem;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1rem;
  display: block;
  color: var(--text);
  opacity: .8;
}

.exit-search {
  display: none;
  padding: 1rem;
  border-radius: 4px;
  cursor: pointer;
  margin-left: 4px;
  margin-bottom: 9px;
  margin-top: 0;
  margin-right: auto;
}

.exit-search:hover {
  box-shadow: inset 0px 0px 0px 1px;
}

.exit-search>.fa-circle-notch {
  transform-origin: center;
  animation: loader-spin 1s linear forwards infinite;
}

@keyframes loader-spin {
  to {
    transform: rotate(360deg);
  }
}

.help-text {
  font-size: 12px;
  font-weight: 500;
  opacity: .9;
}

.page-section {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  margin: 0 auto 150px auto;
}

.hero-parent {
  width: 100%;
  display: grid;
  justify-content: center;
  margin-top: -4rem;
  grid-template-rows: 1fr 4fr 4fr;
  grid-template-columns: 1fr 4fr 2fr;
}

.hero-banner {
  grid-column: 1/4;
  grid-row: 1/4;
  margin: auto;
  content: var(--hero);
}

.hero-cta {
  grid-column: 2/3;
  grid-row: 2/4;
}

.hero-cta .page__title {
  font-size: 2.5rem;
}

.hero-cta>div {
  z-index: 3;
  position: relative;
}

#exitSearchTrigger {
  display: none;
  z-index: 2;
  height: 100vh;
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  background: var(--nav);
  opacity: 0;
}

.search-ui-active {
  overflow: hidden;
}

.search-ui-active #exitSearchTrigger {
  display: block !important;
  animation: to50pc .4s ease forwards 1
}

@keyframes to50pc {
  to {
    opacity: .4;
  }
}

.sidebar {
  z-index: 3;
  position: relative;
}

.sidebar-search-container>#exitSearchTrigger {
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
}

.sidebar-search-container {
  position: relative;
  width: 100%;
}

.sidebar-search-container .walletSearch {
  padding: 10px;
  width: 100%;
  font-size: .75rem;
}

.sidebar-search-container .walletSearch-parent {
  grid-template-columns: 1fr auto;
  position: relative;
}

.sidebar-search-container .results-list {
  min-width: 300px;
  max-width: 90vw;
  position: absolute;
  z-index: 2;
  box-shadow: 0px 10px 50px -30px var(--permanent-black);
}

.sidebar-search-container .results-list span {
  grid-column: 2/3;
}

.sidebar-search-container .badge-2 {
  margin-right: auto;
  padding: 3px 10px;
  font-size: .7rem;
  margin-top: 0;
  display: grid;
  grid-column-gap: 5px;
  line-height: 1rem;
}

.sidebar-search-container .results-list-wallet-icon {
  grid-row: 1/3;
  margin: 0 auto auto auto;
}

.sidebar-search-container .exit-search {
  padding: .25rem 1rem;
}

.cta-learn-more {
  color: inherit;
  font-size: 1rem;
}
h1 {
  text-align: left;
  font-size: 2.5rem;
  margin-top: 4rem;
}
#collapsedReviews {
  font-size: 1rem;
  margin: 0;
}
h2.section-label {
  text-align: left;
  font-size: 2.5rem;
}

h2.section-label > a{opacity:.4;margin-left:5px}
h2.section-label > a:hover{opacity:1}
.subsect h1{
  font-size: 1.2rem;
  margin-top: 0;
  font-weight: 300;
}
.subsect{
  display: flex;
  flex-direction: column;
  padding: 1rem;
  margin: 4rem 1rem 0rem 1rem;
  align-items: center;
  justify-content: center;
  background: var(--white);
  border-radius: 8px;
  position: relative;
z-index: 1;
}
.subsect .fa-bullhorn {
  transform-origin: center;
  transform: rotate(-20deg);
  height: 2rem;
  width: 2rem;
  border-radius: 2rem;
  background: var(--indifferent);
  line-height: 2rem;
  text-align: center;
  font-size: 1rem;
  margin-right: .5rem;
  color: var(--permanent-white);
}
.subsect .fa-twitter{
  background-color: #1da1f2;
  color: var(--permanent-white);
  font-size: 1.6rem;
  border-radius: 20%;
  margin-right: .5rem;
  padding: .3rem;
}
.subsect p {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: .5rem 0;
  font-weight: 300;
  justify-content: center;
}
.press::before {
  position: absolute;
  font-size: 0.5rem;
  background: var(--accent-text, rgb(97, 200, 97));
  padding: .1rem .5rem;
  text-transform: uppercase;
  font-weight: 600;
  margin: 4px;
  border-radius: 100px;
  color: var(--white);
}

.press.EN::before {
  content: "English";
}

.press.DE::before {
  content: "Deutsch";
}

.press.NL::before {
  content: "Nederlands";
}

.press.ES::before {
  content: "Español";
}

.walletSearch-parent {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: 1fr auto;
}

.results-list {
  margin: 0;
  list-style: none;
  padding: 0;
  max-height: 40vh;
  grid-column: 1/3;
  grid-row: 2/3;
  overflow: hidden scroll;
  background: var(--white, var(--white));
  box-shadow: 0px 30px 40px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  scrollbar-width: thin;
}

.results-list li {
  padding: .75rem;
  margin: 0;
  position: relative;
  z-index: 1;
}

.results-list li.actionable {
  opacity: 0;
  animation: results-slide-in .2s ease-in forwards 1;
}

@keyframes results-slide-in {
  from {
    transform: translateX(10px);
    opacity: 0;
  }
  to {
    transform: translateX(0px);
    opacity: 1;
  }
}

.results-list li:not(:last-child) {
  box-shadow: 0px 1px 0px 0px var(--shadow-2, rgba(0, 0, 0, 0.2));
}

.results-list-wallet-icon {
  max-height: calc(2rem + 4px);
  max-width: calc(2rem + 4px);
  border-radius: 25%;
  background-color: var(--white);
  box-shadow: 0 0 0 1px var(--white);
}

.walletSearch {
  padding: 20px;
  width: auto;
}

.walletSearch::selection, .walletSearch::-moz-selection {
  color: var(--text);
  background: var(--shadow-3);
}
.result-pl-inner * {
  transition: .2s ease forwards;
}
.result-pl-inner {
  display: grid;
  grid-auto-flow: column;
  justify-content: start;
  align-items: center;
  text-decoration: none;
  color: inherit;
  font-weight: 300;
  text-align: left;
  grid-template-columns: auto 1fr 25%;
  column-gap: .75rem;
  row-gap: 5px;
  padding-left: .75rem;
  padding-right: .75rem;
}

@media (max-width:920px) {
  .result-pl-inner {
    grid-template-columns: auto 1fr 125px;
    font-size: .9rem;
  }
}

.-hom .result-pl-inner {
  padding: .25rem .75rem;
}

.badge-2 {
  color: var(--text);
  border-radius: 10px;
  padding: 2px 8px;
  position: relative;
  font-size: 1rem;
  line-height: 2;
  text-transform: uppercase;
  display: grid;
  grid-auto-flow: column;
  align-items: center;
  grid-template-columns: auto 1fr;
  overflow: hidden;
  text-align: center;
  column-gap: 5px;
  z-index:1;
  justify-items: center;
  text-decoration: none !important;
  }

.badge-2::before, .badge-2::after {
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.badge-2::after {
  background: var(--white);
  opacity: .45;
  z-index: -1;
}

.badge-2::before {
  z-index: -2;
}

.badge-2>span {
  font-size: .7rem;
  font-weight: 800;
}

.results-list .badge {
  font-weight: 800;
  text-transform: uppercase;
  font-size: .6rem;
  box-shadow: 0 0 2px 0;
  padding: 1px .5rem;
  text-align: center;
  border-radius: 100px;
  background: var(--white);
}

.results-list li:hover::before, 
.results-list li:active::before,
.results-list li:not(:last-child):hover::before,
.results-list li:not(:last-child):active::before {
  content:"";
  position:absolute;
  height: 100%;
  width: 4px;
  top:0;
  left:0;
  z-index: 0;
  animation: smoothBarSlide .2s ease forwards 1
}
@keyframes smoothBarSlide{
  from{box-shadow: inset 0px 0 0 0 var(--accent-text), 0px 0px 0px 0px var(--shadow-2, rgba(0, 0, 0, 0.2));}
  to{box-shadow: inset 4px 0 0 0 var(--accent-text), 0px 1px 0px 0px var(--shadow-2, rgba(0, 0, 0, 0.2));}
}

.results-list li:last-child:hover,
.results-list li:last-child:active {
  box-shadow: inset 4px 0 0 0 var(--accent-text);
}

.results-list li :not(.-hom) .result-pl-inner > span:not(.badge-2),
.-hom .result-pl-inner > span:not(.badge-2){
  opacity: .7;
  transition: .2s ease;
}
.results-list li:hover :not(.-hom) .result-pl-inner > span:not(.badge-2),
.-hom .result-pl-inner:hover > span:not(.badge-2)  {
opacity: 1;
}

.results-list li:focus {
  background: var(--accent);
}

.cta-button {
  text-decoration: none;
  margin-top: 10px;
  display: inline-block;
  padding: 10px 20px;
  border-radius: 3px;
  color: var(--accent-text, #61c861);
  transition: .2s ease;
  background: var(--body);
}

.cta-button.primary {
  box-shadow: inset 0px 0px 0px 1px;
  color: var(--accent-text, #61c861);
}

.cta-button:hover {
  background: var(--white);
}

.cta-button.primary:hover {
  background: var(--accent-text);
  color: var(--white);
}

table tr td count {
  display: block;
  font-size: .9rem;
  color: var(--text);
  border-radius: 5px;
}

table tr td label {
  display: block;
  color: var(--text);
  opacity: .7;
  line-break: anywhere;
}

.fragmented-controls {
  margin: 1rem;
  display: inline-block;
  border: 0 !important;
  padding-bottom: 0 !important;
}

.fragmented-controls-master {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  background-color: var(--body);
  border-bottom: 1px solid #f2f3f3;
}

.-sticky {
  position: sticky;
  top: 0;
  z-index: 1;
}

.-disappearable {
  transition: none;
  animation: to100pc 1s ease forwards 1
}

@keyframes to100pc {from{opacity:0}to{opacity:1}}

.section-label.fragmented-controls {
  font-size: 1.2rem;
  margin: .25rem;
  line-height: 2;
}

#modularWalletPayload{transition: 1s ease;}
#walletsPerCatContainer, #proportionalViewContainer{
  display: none;
  opacity: 0;
  transform-origin: center;
  transform: scale(.9);
}
#walletsPerCatContainer.selected, #proportionalViewContainer.selected{

  display: block;
  animation: selectedGrow .2s ease forwards 1;
}
@keyframes selectedGrow{
  to{
    opacity: 1;
    transform: scale(1);
  }
}

.switch-link-btn-long-string {
  font-size: .9rem;
  opacity: .5;
  text-decoration: none !important;
  transition: .2s ease;
  cursor: pointer;
}

.switch-link-btn-long-string:hover {
  opacity: 1;
}

#gridOfWallets1 {
  grid-column: 1/4;
  grid-row: 2/3;
}

#gridOfWallets1 img.app_logo {
  height:3em;
  width:3em;
  float:left;
  margin: 0.3em;
}

#gridOfWallets1, #gridOfWallets2, #gridOfWallets1 tr, #gridOfWallets2 tr, #gridOfWallets1 tr td, #gridOfWallets2 tr td {
  border: 0 !important;
}

#gridOfWallets1 tr>td:first-of-type, #gridOfWallets2 tr>td:first-of-type {
  min-width: 130px;
  max-width: 20%;
  font-weight: bold;
  color: var(--text);
  display: grid;
  grid-auto-flow: row;
  row-gap: .1rem;
  column-gap: 1rem;
  align-content: start;
  text-align: center;
}

@media (max-width:756px) {
  #gridOfWallets1 tr>td:first-of-type, #gridOfWallets2 tr>td:first-of-type {
    grid-auto-flow: column;
    max-width: unset;
    grid-template-columns: auto 1fr;
    text-align: left;
    align-items: center;
  }
  table tr td label {
    font-size: 1.2rem;
  }
}

#gridOfWallets1 tr, #gridOfWallets2 tr {
  margin: 2rem 0 2rem 0;
  border-radius: 8px;
  overflow: hidden;
  display: flex;
  transition: .2s linear;
}

#gridOfWallets1 tr>td:nth-of-type(2), #gridOfWallets2 tr>td:nth-of-type(2) {
  background-color: var(--white);
  border-radius: 8px;
  padding: 2rem;
  width: 100%;
}

#gridOfWallets1 tr:hover, #gridOfWallets2 tr:hover {
  box-shadow: 0px 7px 15px -3px var(--permanent-black, rgba(0, 0, 0, 0.3)), 0px -5px 15px -10px var(--permanent-white);
}

#gridOfWallets2 img.app_logo {
  float: left;
  margin: 0.3em;
  border-radius: 20%;
}

@media (max-width: 920px) {
  .page {
    padding-left: 0% !important;
    padding-right: 0% !important;
    width: 90vw !important;
  }
  .app-review .page {
    margin-top: 1rem;
  }
  .hero-banner {
    display: none;
  }
  .hero-cta {
    grid-column: 1/4;
  }
  .hero-parent {
    text-align: center;
    margin-bottom: 4rem;
  }
  .walletSearch-parent {
    grid-template-columns: 1fr auto;
  }
  .results-list {
    max-width: 90vw;
    max-height: calc(90vh - 60px);
  }
  #gridOfWallets1 tr {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
  #gridOfWallets1 tr td, #gridOfWallets2 tr td {
    width: 100%;
  }
  #gridOfWallets1 tr, #gridOfWallets2 tr {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
}

.-filter-trigger {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100% !important;
  height: 100% !important;
  opacity: 0;
  pointer-events: all;
  z-index: 2;
}

#gridOfWallets1 tr.-filter-element:not(.-android) {
  display: none;
}


/* END HERO */

/* LIST OF WALLETS */

.app_info_box, .app_info_box strong {
  display: block;
  word-wrap: break-word;
}

.row-identifier {
  display: none;
  animation: intro 0.3s both;
  position: relative;
  z-index: 51;
}

.icon-row {
  width: 100%;
}

input.verdict-d-d-reproducible:checked~#tableofwallets div.row-identifier-reproducible,
input.verdict-d-d-nonverifiable:checked~#tableofwallets div.row-identifier-nonverifiable,
input.verdict-d-d-nosource:checked~#tableofwallets div.row-identifier-nosource,
input.verdict-d-d-custodial:checked~#tableofwallets div.row-identifier-custodial,
input.verdict-d-d-all:checked~#tableofwallets div.row-identifier {
  display: table-row !important;
}

.verdict-d-d-reproducible:checked~.label-reproducible,
.verdict-d-d-nonverifiable:checked~.label-nonverifiable,
.verdict-d-d-nosource:checked~.label-nosource,
.verdict-d-d-custodial:checked~.label-custodial,
.verdict-d-d-all:checked~.label-all {
  background: var(--accent);
  border-radius: 4px;
  color: var(--white);
}

.input-org {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: auto 1fr;
  position: relative;
}

.input-org label {
  text-align: center;
  padding: 10px;
  margin-bottom: 10px;
  margin: 2px 5px;
  border-radius: 5px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background: var(--white);
}

.input-org label i {
  display: none;
}

input.verdict-d-d-reproducible:checked~.label-reproducible i {
  display: inline-block !important;
}

input.verdict-d-d-nonverifiable:checked~.label-nonverifiable i {
  display: inline-block !important;
}

input.verdict-d-d-nosource:checked~.label-nosource i {
  display: inline-block !important;
}

input.verdict-d-d-custodial:checked~.label-custodial i {
  display: inline-block !important;
}

input.verdict-d-d-all:checked~.label-all i {
  display: inline-block !important;
}

label.stamp::before, .AppDisplayCard .stamp::before {
  font-size: 10px;
  padding: 3px 10px;
  border-radius: 100px;
  color: var(--white);
  text-transform: uppercase;
  font-weight: 800;
}

#modularPlatform, #modularVerdict {
  border: 0;
  background: var(--white);
  color: var(--accent);
}

.flex-r {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  -webkit-column-gap: 10px;
  -moz-column-gap: 10px;
  column-gap: 10px;
  -webkit-row-gap: 10px;
  -moz-row-gap: 10px;
  row-gap: 10px;
}

.card-expand-close {
  float: right;
}

.input-org input:first-of-type, .input-org label:first-of-type {
  grid-column: 1/2;
  grid-row: 1/2;
}

.input-org input:nth-of-type(2), .input-org label:nth-of-type(2) {
  grid-column: 2/3;
  grid-row: 1/2;
}

.input-org input:nth-of-type(3), .input-org label:nth-of-type(3) {
  grid-column: 3/4;
  grid-row: 1/2;
}

.input-org input:nth-of-type(4), .input-org label:nth-of-type(4) {
  grid-column: 4/5;
  grid-row: 1/2;
}

.input-org input:nth-of-type(5), .input-org label:nth-of-type(5) {
  grid-column: 5/6;
  grid-row: 1/2;
}

@media (max-width:756px) {
  .input-org {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto 1fr;
  }
  .input-org input:first-of-type, .input-org label:first-of-type {
    grid-column: 1/2;
    grid-row: 1/2;
  }
  .input-org input:nth-of-type(2), .input-org label:nth-of-type(2) {
    grid-column: 2/3;
    grid-row: 1/2;
  }
  .input-org input:nth-of-type(3), .input-org label:nth-of-type(3) {
    grid-column: 1/2;
    grid-row: 2/3;
  }
  .input-org input:nth-of-type(4), .input-org label:nth-of-type(4) {
    grid-column: 2/3;
    grid-row: 2/3;
  }
  .input-org input:nth-of-type(5), .input-org label:nth-of-type(5) {
    grid-column: 1/3;
    grid-row: 3/4;
  }
  .input-org #tableofwallets {
    grid-column: 1/3 !important;
    grid-row: 4/5 !important;
  }
  .flexi-list {
    justify-content: center !important;
  }
}

.input-org input {
  opacity: 0;
  width: 100%;
  height: 100%;
  display: block;
  margin: 0;
  padding: 0;
  border: 0;
  z-index: 2;
}

.input-org #tableofwallets {
  grid-column: 1/6;
  grid-row: 2/3;
  margin: auto;
}

.flexi-list>div {
  margin: .75rem;
  padding: .75rem;
  background: var(--white);
  border-radius: 10px;
  transition: .2s ease;
}

.flexi-list>div:hover {
  box-shadow: 0px 10px 15px -10px var(--permanent-black, rgba(0, 0, 0, 0.3)), 0px -5px 15px -10px var(--permanent-white);
}

.flexi-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: start;
  justify-content: start;
  position: relative;
}

.input-org>#modal {
  position: fixed !important;
  z-index: 1 !important;
}

.AppDisplayCard {
  float: left;
  cursor: pointer;
  cursor: hand;
}

.AppDisplayCard>div {
  width: 7em;
  position: relative;
}

.AppDisplayCard.opened {
  background: var(--white);
  max-width: 90vw;
  margin: auto;
  padding: 1rem;
  border-radius: 1rem;
  box-shadow: 0px 10px 50px var(--shadow-3);
}

.item-detail-container {
  max-width: calc(90vw - 2rem);
}

.AppDisplayCard.opened .card-expand-close {
  position: absolute;
  right: 0;
}

.AppDisplayCard.opened .card-expand-close:first-child {
  display: none !important;
}

.AppDisplayCard.opened .card-expand-close.card-close {
  display: block !important;
  z-index: 99999;
}

.AppDisplayCard.opened>div:first-of-type {
  width: 100% !important;
}

.AppDisplayCard.opened .item-detail-container {
  display: block !important;
  margin: 1rem auto;
}

.AppDisplayCard.opened .item-detail-container table td, .AppDisplayCard.opened .item-detail-container table {
  border: 0;
}

.AppDisplayCard.opened .item-detail-container table tr:not(:last-of-type) {
  box-shadow: inset 0px -1px 0 var(--shadow-2);
}

.temp_card {
  display: grid;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  height: 100vh;
  width: 100vw;
  align-content: center;
  justify-content: center;
  background-color: var(--shadow-3);
  z-index: 999;
}

.flexi-list.opened::after {
  content: "";
  height: 100vh;
  width: 100vw;
  display: block;
  position: fixed;
  z-index: 53;
  background: rgba(0, 0, 0, 0.3);
  top: 0;
  left: 0;
  pointer-events: none;
}

/* END LIST OF WALLETS */

/* SIDEBAR LIST */

.logo_name_bundle {
  position: relative;
  border-radius: 100px;
  transition: .2s ease;
}

.logo_name_bundle:hover a span {
  color: var(--white);
}

.logo_name_bundle:hover {
  background: var(--dark-grey);
}

#sidebarWalletList .app_logo {
  display: inline-block;
  border-radius: 2px;
  height: 1rem;
  width: auto;
  margin-right: 0.5em;
}

#sidebarWalletList .app_name {
  text-overflow: ellipsis;
  overflow: hidden;
  width: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
  width: 100%;
  white-space: nowrap
}

#sidebarWalletList>div a {
  text-decoration: none;
  font-weight: 300;
  font-size: 13px;
  color: var(--dark-grey);
  display: inline-flex;
  flex-direction: row;
  align-items: center;
  width: 90%;
  padding: 6px 5%;
}

/* END SIDEBAR LIST */

/* APP ANALYSIS */

.page__title.-va-c {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  font-weight: 900;
}

.badge {
  display: inline-grid;
  text-align: center;
  row-gap: 4px;
  box-shadow: 0 0 0 2px var(--light-grey);
  position: relative;
  border-radius: 4px;
  padding: 5px;
}

.badge-col {
  border-radius: 1rem;
  padding: 2px 13px;
  font-size: .8rem;
  position: relative;
  overflow: hidden;
  color: var(--white, #fff);
  text-transform: uppercase;
  font-weight: 800;
}

.badge-col span {
  position: relative;
  z-index: 2;
}

.star-rating {
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
  background-repeat: no-repeat;
  margin-right: auto;
  font-size: 1.4rem;
}

.humanised-numbers {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
}

.humanised-numbers.-bold {
  flex-direction: column;
  text-align: center;
}

.humanised-numbers.-bold>l {
  font-size: 6rem;
  font-weight: 900;
  line-height: 1;
}

.humanised-numbers>i {
  margin-right: .25rem;
  opacity: .5;
}

.humanised-numbers>n {
  margin-left: .5rem;
  opacity: .5;
}

.social-row ul {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  margin: 0;
}

.social-row ul li {
  margin: 0;
}

.social-row ul li a {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr auto;
  text-decoration: none;
  color: unset;
  text-align: center;
  padding: 4px;
  margin: 4px;
  border-radius: 4px;
  row-gap: 3px;
  transition: none;
}

.social-row ul li a i {
  font-size: 1.2rem;
}

.social-row ul li a>span {
  display: none;
  font-size: 11px;
  opacity: .3;
}

.social-row ul li a:hover>span {
  opacity: 1;
}

.link-web:hover {
  color: var(--gold);
}

.link-twitter:hover {
  color: #00aeff;
}

.link-facebook:hover {
  color: #0044ff;
}

.link-reddit:hover {
  color: #ff7b00;
}

.link-linkedin:hover {
  color: #003cff;
}

/* APP ANALYSIS NEW */

.app-summary-grid {
  display: grid;
  row-gap: 1rem;
  column-gap: 1rem;
  grid-template-columns: auto 1fr;
  margin-bottom: 2rem;
}

.app-summary-grid>.app_logo_big {
  grid-column: 1/2;
  grid-row: 1/2;
}

.app-summary-grid .app-sum-head {
  grid-column: 2/3;
  grid-row: 1/2;
  display: grid;
  grid-auto-flow: row;
  grid-row-gap: .5rem;
}

.verdict>span {
  display: inline-block;
  text-align: center;
}

.app-summary-grid .social-row ul li a i {
  font-size: .9rem;
}

.app-summary-grid>.app-payload-flex {
  grid-column: 1/3;
  grid-row: 2/3;
}

.app-payload-flex {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: stretch;
}

.app-payload-flex>div {
  display: grid;
  grid-auto-flow: row;
  grid-template-rows: auto 1fr auto;
  max-width: 50vw;
  text-align: center;
  padding: 1rem;
  margin: 0;
}

@media (max-width: 500px) {
  .app-summary-grid {
    display: flex !important;
    flex-direction: column;
  }
  .app-summary-grid>.app-payload-flex {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
  .app-payload-flex>svg, .app-payload-flex>.svg {
    display: none;
  }
  .app-payload-flex>svg {
    display: none;
  }
  .app-payload-flex>svg, .app-payload-flex>.svg {
    display: none;
  }
  .app-payload-flex>div {
    text-align: left;
    box-shadow: inset 0px 0px 0px 1px var(--body);
    background: var(--white);
    min-height: 90px;
    height: 100%;
  }
}

.app-payload-flex>div>label {
  grid-column: 1/2;
  grid-row: 1/2;
  font-size: .75rem;
  font-weight: bold;
  cursor: unset;
}

.app-payload-flex>div>div {
  position: relative;
}

.app-payload-flex>div>div * {
  font-size: 1.2rem;
}

.app-payload-flex>svg, .app-payload-flex>.svg {
  height: 100%;
  width: 100%;
  padding: 0;
  max-height: calc(90px + 2rem);
  max-width: calc(90px + 2rem);
  background-size: contain;
  background-repeat: no-repeat;
  min-height: calc(90px + 2rem);
  min-width: calc(90px + 2rem);
}

.svg.reproducible {
  background-image: var(--reproducible-badge);
  transform: rotate(-25deg);
}

.app-payload-flex>div>span {
  font-size: .75rem;
}

/* SIDEBAR UI MOBILE */

#collapseWalletList {
  display: none
}

@media (max-width: 920px) {
  #sidebarWalletList {
    display: none;
  }
  .sidebar-container {
    margin: 1rem 0 auto 0;
    box-shadow: 0 1px 0 0 var(--shadow-2);
    padding-bottom: 5px;
  }
  .sidebar-search-container .results-list {
    min-width: 90vw;
  }
  .-border-fx {
    box-shadow: 0 0 0 2px var(--rust);
  }
  .app_logo.-border-fx.border-reproducible {
    box-shadow: 0 0 0 2px var(--accent);
  }
  #main.app-review {
    margin-top: 0;
  }
}

.platform-logo {
    position: absolute;
    top: 47px;
    font-size: 18px;
    right: 0px;
}

.wallet-link {
  white-space:nowrap;
  font-weight:bold;
  line-height:2em;
}

.verdictBadge {
  text-decoration:none !important;
  margin-right: auto;
}

.verdictBadge > span {
  white-space:nowrap;
  padding:5px 10px 3px;
  border-radius:100px;
  color:var(--white, #fff);
  text-transform:uppercase;
  font-weight:600;
}

html {
  scroll-behavior: smooth;
}

.praiseBox {
  border:solid 3px black;
  border-radius:20px;
  background:var(--green-notify-background);
  margin-bottom:1em;
  font-weight:bold
}

.praiseBox > div {
  margin:1em;
}

.alertBox {
  border:solid 3px black;
  border-radius:20px;
  background:var(--red-notify-background);
  margin-bottom:1em;
  font-weight:bold
}

.alertBox > div {
  margin:1em;
}

.infoBox {
  border:solid 3px black;
  border-radius:20px;
  background:var(--blue-notify-background);
  margin-bottom:1em;
}

.infoBox > div {
  margin:1em;
}

.meta_stale {
  filter: opacity(70%);
  border: solid 0.3rem gray;
}
.meta_stale.AppDisplayCard {
  padding: 0.45rem !important;
}

.meta_obsolete {
  filter: opacity(50%);
  border: solid 0.3rem black;
}
.meta_obsolete.AppDisplayCard {
  padding: 0.45rem !important;
}

.meta_defunct {
  filter: opacity(30%);
  border: solid 0.3rem red;
}
.meta_defunct.AppDisplayCard {
  padding: 0.45rem !important;
}

.meta_stale:hover, .meta_obsolete:hover, .meta_defunct:hover {
  filter: none;
}

.donate-modal {
  display: none;
  position: fixed;
  z-index: 21;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.8);
}

.donate-modal-content {
  background-color: #eee;
  margin: auto;
  padding: 2em;
  border: 1px solid #888;
  border-radius: 15px;
  width: 90%;
  height: 90%;
  color: black;
  margin-top: 2.5%;
  overflow: auto;
  text-align: center;
}
